<template>

    <!-- 

    question: 5

    ---------------------------------------------------------- -->
    <div class='swiper-slide selection-question' data-hash='Q5'>
        <div class='outer'>
            <h1>Would you like a fine dust filter system?</h1>
            <p>
                The DAHLE CleanTEC® is the World's only shredder that reduces exposure to harmful dust particles. This series also includes convenience features such as Safe Technology, Electronic Sensing Protection (ESP), and an internal automatic EvenFlow Lubricator.
            </p>
            <div class='cleanTEC'>
                <label v-on:click="pickAnswer('yes')" class='button has-figure'>
                    <span class='cleantec-yes'></span>
                    <span class='button-figure figure-cleantec'></span>
                    <span class='button-caption'>Yes</span>
                </label>
                <label v-on:click="pickAnswer('no')" class='button has-figure'>
                    <span class='cleantec-no'>&times;</span>
                    <span class='button-figure figure-cleantec-no'></span>
                    <span class='button-caption'>No</span>
                </label>
            </div>
        </div>
    </div>
</template>

<script>
  import { mapGetters, mapMutations } from 'vuex'

  export default {
    name: 'Question5',
    computer: {
      ...mapGetters(['isQuestion', 'answers']),
    },

    methods: {
      ...mapMutations(['goto', 'setCleanTech']),
      pickAnswer(answer) {
        this.setCleanTech(answer);
        this.goto(6);
      }
    }
  }
</script>